From 811a0c63c33326e522aa96197a2eb88741454913 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Aug 03 2017 10:28:07 +0000
Subject: [PATCH 917/1001] Fix an error with EventSource in edit mode


---

diff --git a/hubs/views/hub.py b/hubs/views/hub.py
index 4a7c6e7..ff52725 100644
--- a/hubs/views/hub.py
+++ b/hubs/views/hub.py
@@ -50,7 +50,12 @@ def hub_edit(name):
 def hub_edit_get(hub):
     widgets = get_visible_widgets(hub)
     return flask.render_template(
-        'hubs.html', hub=hub, widgets=widgets, edit=True)
+        'hubs.html',
+        hub=hub,
+        widgets=widgets,
+        edit=True,
+        sse_url=get_sse_url("hub/{}".format(hub.name)),
+        )
 
 
 def hub_edit_post(hub):

